Bug 110 - Crash on startup (xdl_x760_atiddxDisplayMonitorCreateOutput)
: Crash on startup (xdl_x760_atiddxDisplayMonitorCreateOutput)
Status: CLOSED WONTFIX
Product: AMD Catalyst™Proprietary Display Driver
Classification: Unclassified
Component: X11 Driver
: .archived
: Other Linux
: low major
Assigned To: nobody
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-17 20:34 CDT by higuita
Modified: 2012-03-15 23:31 CDT (History)
0 users



Attachments
Xorg log (13.17 KB, application/octet-stream)
2011-04-17 20:34 CDT, higuita
Details
dmesg (41.92 KB, text/plain)
2011-09-18 21:19 CDT, higuita
Details
Xorg log (12.84 KB, text/plain)
2011-09-18 21:19 CDT, higuita
Details

Note You need to log in before you can comment on or make changes to this bug.
Description higuita 2011-04-17 20:34:02 CDT
Created attachment 99 [details]
Xorg log

My computer is a amd64 with slackware64 (with multilib support) on a via K8T800 chipset and 4GB of RAM. the graphic card is a HD2600 XT AGP and connect are 2 TFT (1280x1024 and 1920x1080), AGP size is set to the maximum in Bios. Kernel is 2.6.38.3 but changing kernel to 2.6.37.6 didnt make any difference.

I installed via
./ati-driver-installer-11-3-x86.x86_64.run --buildpkg Slackware/Slackware 

and installed the patch for fixing the acquire_console_sem change in 2.6.38:
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,38)
+        console_lock();
+#else
         acquire_console_sem();
+#endif

the kernel module builds fine and loads fine

when i try to startup the X i get this:
[  1014.933] (II) fglrx(0): Finished Initialize PPLIB!
[  1015.014] (II) fglrx(0): Output DFP1 using monitor section aticonfig-Monitor[0]-0
[  1015.014] (II) fglrx(0): Output CRT1 has no monitor section
[  1015.014] (II) fglrx(0): Output CRT2 has no monitor section
[  1015.014] (II) fglrx(0): Output TV using monitor section TV
[  1015.014] (**) fglrx(0): Option "Ignore" "True"
[  1015.031] 
Backtrace:
[  1015.031] 0: /usr/bin/X11/X (xorg_backtrace+0x28) [0x4a02d8]
[  1015.031] 1: /usr/bin/X11/X (0x400000+0x60fc9) [0x460fc9]
[  1015.031] 2: /lib64/libc.so.6 (0x7f5601c66000+0x340b0) [0x7f5601c9a0b0]
[  1015.032] 3: /usr/lib64/xorg/modules/drivers/fglrx_drv.so (xdl_x760_atiddxDisplayMonitorCreateOutput+0x8e) [0x7f5600002fae]
[  1015.032] 4: /usr/lib64/xorg/modules/drivers/fglrx_drv.so (xdl_x760_atiddxDisplayScreenCreate+0x1bb) [0x7f55fffffebb]
[  1015.032] 5: /usr/lib64/xorg/modules/drivers/fglrx_drv.so (xdl_x760_atiddxDisplayPreInit+0xd8) [0x7f55ffffc5c8]
[  1015.032] 6: /usr/lib64/xorg/modules/drivers/fglrx_drv.so (xdl_x760_atiddxPreInit+0xd54) [0x7f55fffd09c4]
[  1015.032] 7: /usr/bin/X11/X (InitOutput+0x812) [0x470ad2]
[  1015.032] 8: /usr/bin/X11/X (0x400000+0x21e4d) [0x421e4d]
[  1015.032] 9: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x7f5601c84e5d]
[  1015.033] 10: /usr/bin/X11/X (0x400000+0x21bb9) [0x421bb9]
[  1015.033] Segmentation fault at address 0x78
[  1015.033] 
Fatal server error:
[  1015.033] Caught signal 11 (Segmentation fault). Server aborting

tried to do the --initial both single and dual head, removing the /etc/ati/amdpcsb, disconnecting each monitor and even both.

i'm out of ideas and i cant find any other reference for this problem.

i will try older version of the fglrx when i have more free time
Comment 1 higuita 2011-09-18 21:11:17 CDT
still the same problem with 11.8


Backtrace:
[    85.315] 0: X (xorg_backtrace+0x28) [0x4a02d8]
[    85.316] 1: X (0x400000+0x60fc9) [0x460fc9]
[    85.316] 2: /lib64/libc.so.6 (0x7f1cd014b000+0x34040) [0x7f1cd017f040]
[    85.316] 3: /usr/lib64/xorg/modules/drivers/fglrx_drv.so (xdl_x760_atiddxDisplayMonitorCreateOutput+0x8e) [0x7f1cce3edace]
[    85.316] 4: /usr/lib64/xorg/modules/drivers/fglrx_drv.so (xdl_x760_atiddxDisplayScreenCreate+0x1bb) [0x7f1cce3ea85b]
[    85.316] 5: /usr/lib64/xorg/modules/drivers/fglrx_drv.so (xdl_x760_atiddxDisplayPreInit+0xd8) [0x7f1cce3e6dc8]
[    85.317] 6: /usr/lib64/xorg/modules/drivers/fglrx_drv.so (xdl_x760_atiddxPreInit+0xe74) [0x7f1cce3b9aa4]
[    85.317] 7: X (InitOutput+0x812) [0x470ad2]
[    85.317] 8: X (0x400000+0x21e4d) [0x421e4d]
[    85.317] 9: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x7f1cd0169e5d]
[    85.317] 10: X (0x400000+0x21bb9) [0x421bb9]
[    85.317] Segmentation fault at address 0x78
[    85.317] 
Fatal server error:
[    85.317] Caught signal 11 (Segmentation fault). Server aborting
Comment 2 higuita 2011-09-18 21:19:01 CDT
Created attachment 239 [details]
dmesg
Comment 3 higuita 2011-09-18 21:19:30 CDT
Created attachment 240 [details]
Xorg log
Comment 4 Michael Cronenworth 2012-03-08 21:18:45 CST
This message is a reminder that your bug is marked as Catalyst 11.8.

The current Catalyst version is 12.2.

Approximately 7 days from now the Bugzilla administrator will be removing the
11.8 version. At that time your bug will be CLOSED as WONTFIX.

Bug Reporter: Thank you for reporting this issue. However, the Bugzilla
administrator provides this as a unofficial, free service to AMD customers, and
I like to keep my systems neat and tidy. If you would like to keep your bug
from being closed, please try a new Catalyst version and update the 'version'
field if the issue still occurs.

If you are unable to update the version, please make a comment and someone will
change it for you.
Comment 5 Michael Cronenworth 2012-03-15 23:30:36 CDT
This bug is being closed due to the 'version' being 11.8 after 7 days of the
previous closure notice.

Thank you for your bug report.